Index: src/test/regress/GNUmakefile
===================================================================
RCS file: /home/neilc/postgres/cvs_root/pgsql/src/test/regress/GNUmakefile,v
retrieving revision 1.64
diff -c -p -r1.64 GNUmakefile
*** src/test/regress/GNUmakefile	19 Jan 2007 16:42:24 -0000	1.64
--- src/test/regress/GNUmakefile	27 Jan 2007 19:54:39 -0000
*************** endif
*** 117,159 ****
  
  # And finally some extra C modules...
  
! all: all-spi
  
  .PHONY: all-spi
  all-spi:
  	$(MAKE) -C $(contribdir)/spi refint$(DLSUFFIX) autoinc$(DLSUFFIX)
  
  
  ##
  ## Run tests
  ##
  
  check: all
- 	-rm -rf ./testtablespace
- 	mkdir ./testtablespace
  	./pg_regress --temp-install=./tmp_check --top-builddir=$(top_builddir) --srcdir=$(abs_srcdir) --temp-port=$(TEMP_PORT) --schedule=$(srcdir)/parallel_schedule --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE)
  
  installcheck: all
- 	-rm -rf ./testtablespace
- 	mkdir ./testtablespace
  	./pg_regress --psqldir=$(PSQLDIR) --schedule=$(srcdir)/serial_schedule --srcdir=$(abs_srcdir) --multibyte=$(MULTIBYTE) --load-language=plpgsql $(NOLOCALE)
  
  installcheck-parallel: all
- 	-rm -rf ./testtablespace
- 	mkdir ./testtablespace
  	./pg_regress --psqldir=$(PSQLDIR) --schedule=$(srcdir)/parallel_schedule --srcdir=$(abs_srcdir) --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE)
  
  
  # old interfaces follow...
  
! runcheck: check
! runtest: installcheck
! runtest-parallel: installcheck-parallel
! 
! bigtest:
  	./pg_regress --psqldir=$(PSQLDIR) --schedule=$(srcdir)/serial_schedule --srcdir=$(abs_srcdir) --multibyte=$(MULTIBYTE) --load-language=plpgsql $(NOLOCALE) numeric_big 
  
! bigcheck:
  	./pg_regress --temp-install=./tmp_check --top-builddir=$(top_builddir) --srcdir=$(abs_srcdir) --temp-port=$(TEMP_PORT) --schedule=$(srcdir)/parallel_schedule --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE) numeric_big
  
  
--- 117,154 ----
  
  # And finally some extra C modules...
  
! all: all-spi tablespace-setup
  
  .PHONY: all-spi
  all-spi:
  	$(MAKE) -C $(contribdir)/spi refint$(DLSUFFIX) autoinc$(DLSUFFIX)
  
+ # Tablespace setup
+ .PHONY: tablespace-setup
+ tablespace-setup:
+ 	-rm -rf ./testtablespace
+ 	mkdir ./testtablespace
  
  ##
  ## Run tests
  ##
  
  check: all
  	./pg_regress --temp-install=./tmp_check --top-builddir=$(top_builddir) --srcdir=$(abs_srcdir) --temp-port=$(TEMP_PORT) --schedule=$(srcdir)/parallel_schedule --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE)
  
  installcheck: all
  	./pg_regress --psqldir=$(PSQLDIR) --schedule=$(srcdir)/serial_schedule --srcdir=$(abs_srcdir) --multibyte=$(MULTIBYTE) --load-language=plpgsql $(NOLOCALE)
  
  installcheck-parallel: all
  	./pg_regress --psqldir=$(PSQLDIR) --schedule=$(srcdir)/parallel_schedule --srcdir=$(abs_srcdir) --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE)
  
  
  # old interfaces follow...
  
! bigtest: all
  	./pg_regress --psqldir=$(PSQLDIR) --schedule=$(srcdir)/serial_schedule --srcdir=$(abs_srcdir) --multibyte=$(MULTIBYTE) --load-language=plpgsql $(NOLOCALE) numeric_big 
  
! bigcheck: all
  	./pg_regress --temp-install=./tmp_check --top-builddir=$(top_builddir) --srcdir=$(abs_srcdir) --temp-port=$(TEMP_PORT) --schedule=$(srcdir)/parallel_schedule --multibyte=$(MULTIBYTE) --load-language=plpgsql $(MAXCONNOPT) $(NOLOCALE) numeric_big
  
  
